# Copyright © 2015-2018,2020-2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python3_{4..10} )
inherit distutils-r1

SHA1=f419e6e863af2c87773b829fb5e8ef09797a620a

DESCRIPTION="Portage sync module to generate squashfs repository filesystems"
SRC_URI="http://git.draconx.ca/gitweb/squashmirror.git/snapshot/$SHA1.tar.xz -> $P.tar.xz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"
REQUIRED_USE=$PYTHON_REQUIRED_USE

COMMON_DEPS=">=sys-apps/portage-2.2.21[$PYTHON_USEDEP]"

RDEPEND="$COMMON_DEPS
	sys-fs/squashfs-tools:0"
DEPEND="$COMMON_DEPS
	dev-python/setuptools[$PYTHON_USEDEP]"

S=$WORKDIR/$SHA1
